/*!\file
 *
 * \author  Matthias Engbarth, Alexander Kasper
 * \date    2010-05-04, 2010-12-15
 */
//----------------------------------------------------------------------
#ifndef IMAGE_DATA_READER_H
#define IMAGE_DATA_READER_H

#include "ImagesObject.h"

namespace OMDB { namespace Image {

class CImageDataReader
{
public:

  explicit CImageDataReader( const std::string& FilePath );

  const CImagesObject& GetImagesObject() const;

private:
  CImagesObject mImagesObject;
};

} // Image
} // OMDB

#endif // IMAGE_DATA_READER_H
